net.sourceforge.pmd.lang.ast.xpath

## Interface AttributeNode

All Known Subinterfaces:
  XmlNode

    public interface AttributeNode

This interface can be used by an AST node to indicate it can directly provide access to it's attributes, versus having them be determined via introspection.

### Method Summary

Methods
`Iterator<Attribute>` `getAttributeIterator()`

### Method Detail

#### getAttributeIterator

    Iterator<Attribute> getAttributeIterator()